Index: app_meetme.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_meetme.c,v
retrieving revision 1.79
diff -u -r1.79 app_meetme.c
--- app_meetme.c	2 Feb 2005 02:57:45 -0000	1.79
+++ app_meetme.c	15 Feb 2005 11:01:42 -0000
@@ -216,7 +216,7 @@
 	return 0;
 }
 
-static void conf_play(struct ast_conference *conf, int sound)
+static int conf_play(struct ast_conference *conf, int sound)
 {
 	unsigned char *data;
 	int len;
@@ -237,6 +237,7 @@
 	if (data) 
 		careful_write(conf->fd, data, len);
 	ast_mutex_unlock(&conflock);
+	return len;
 }
 
 static struct ast_conference *build_conf(char *confno, char *pin, int make, int dynamic)
@@ -552,6 +553,7 @@
 	int x;
 	int menu_active = 0;
 	int using_pseudo = 0;
+	int skiplen = 0;
 	int duration=20;
 	struct ast_dsp *dsp=NULL;
 
@@ -789,7 +791,7 @@
 	if (!firstpass && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN)) {
 		firstpass = 1;
 		if (!(confflags & CONFFLAG_QUIET))
-			conf_play(conf, ENTER);
+			skiplen += conf_play(conf, ENTER);
 	}
 	ast_mutex_unlock(&conflock);
 	if (confflags & CONFFLAG_AGI) {
@@ -935,7 +937,14 @@
 					}
                                 	if (using_pseudo) {
                                                 /* Carefully write */
-                                                careful_write(fd, f->data, f->datalen);
+						if (skiplen == 0)
+							careful_write(fd, f->data, f->datalen);
+						else if (skiplen >= f->datalen)
+							skiplen -= f->datalen;
+						else {
+							careful_write(fd, (char*)f->data + skiplen, f->datalen - skiplen);
+							skiplen = 0;
+						}
                                 	}
 				} else if ((f->frametype == AST_FRAME_DTMF) && (confflags & CONFFLAG_EXIT_CONTEXT)) {
 					char tmp[2];
